org.jboss.jca.as.converters.wls.metadata

## Class ConnectionInstanceImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.ConnectionInstanceImpl

- All Implemented Interfaces:
    java.io.Serializable, ConnectionInstance, WlsMetadata

      public class ConnectionInstanceImpl
      extends java.lang.Object
      implements ConnectionInstance

  A generic ConnectionDefinition.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.ConnectionInstance

      `ConnectionInstance.Attribute, ConnectionInstance.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionInstanceImpl(java.lang.String description, java.lang.String jndiName, ConnectionDefinitionProperties cdProps)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionDefinitionProperties` | `getConnectionProperties()` getDefaultConnectionProperties
    `java.lang.String` | `getDescription()` getDescription
    `java.lang.String` | `getJndiName()` getJndiName

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionInstanceImpl

          public ConnectionInstanceImpl(java.lang.String description,
                                        java.lang.String jndiName,
                                        ConnectionDefinitionProperties cdProps)

      constructor
      Parameters:
        `description` - description
        `jndiName` - jndiName
        `cdProps` - ConnectionDefinitionProperties

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `ConnectionInstance`
      getDescription
      Specified by:
        `getDescription` in interface `ConnectionInstance`
      Returns:
        the Description

    - #### getJndiName

          public java.lang.String getJndiName()

      Description copied from interface: `ConnectionInstance`
      getJndiName
      Specified by:
        `getJndiName` in interface `ConnectionInstance`
      Returns:
        the JndiName

    - #### getConnectionProperties

          public ConnectionDefinitionProperties getConnectionProperties()

      Description copied from interface: `ConnectionInstance`
      getDefaultConnectionProperties
      Specified by:
        `getConnectionProperties` in interface `ConnectionInstance`
      Returns:
        the ConnectionDefinitionProperties

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)